package example.account;

/**
 * Supervision exception.
 */
@SuppressWarnings("serial")
public class SupervisorException extends RuntimeException {

    /**
     * Default constructor.
     */
    public SupervisorException() {
        super();
    }

    /**
     * Create an SupervisorException with a message.
     * 
     * @param message
     *            the message
     */
    public SupervisorException(String message) {
        super(message);
    }

    /**
     * Create an SupervisorException with a cause.
     * 
     * @param cause
     *            the underlying cause of the exception
     */
    public SupervisorException(Throwable cause) {
        super(cause);
    }

    /**
     * Create an SupervisorException with a message and a cause.
     * 
     * @param message
     *            the message
     * @param cause
     *            the underlying cause of the exception
     */
    public SupervisorException(String message, Throwable cause) {
        super(message, cause);
    }
}
